<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->string('identifier')->index()->nullable();
            $table->string('slug')->unique()->index();

            $table->unsignedInteger('referenz')->default(0);
            $table->string('action')->nullable();
            $table->text('object')->nullable();
            $table->text('full_text')->nullable();
            $table->text('text')->nullable();

            $table->unsignedTinyInteger('status')->default(0);

            $table->string('type', 10)->nullable();


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('settings');
    }
}
